Subject: bug#23119: 25.1.50; shr doesn't render (some?) inline svg images

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Jan 2017 21:38:35 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Magne Ingebrigtsen <[email-masked]>
>> Date: Sat, 26 Mar 2016 13:53:56 +0100
>> 
>> For instance the following is displayed as a black box, while Emacs is
>> able to display it just fine if you put it in a separate file and visit
>> that file.
>
> Try in a build without Imagemagick, it works fine here (assuming you
> visited it in eww using the file:/// URL, which is what I did).

shr is supposed to use 'svg for SVG images by default (since
ImageMagick's support for SVG images is either missing or lacking, I
forget which).

I'm still able to reproduce the bug here, so I'll start debugging now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no